﻿README
------


                              Partial English patch for 
                              --------------------------------------
                              Tales of the World: Summoner's Lineage
                              --------------------------------------
                                                 for GameBoy Advance

                                       ~Translator's Cut~

                                      *Patch version 0.10*


                                 By   KAJITANI-EIZAN's Patch Site
                                                  and affliliates


Contents
========

- Introduction
- Instructions
- Notes
    - Translator's Cut
    - Troubleshooting
- Gameplay Info
    - Advantage Symbols
    - Hidden Treasure
    - Type Advantage
    - Elemental Attributes
- Patch History
- Credits
- Disclaimer


Introduction
============

Released in 2003, this handheld escort title places you in the shoes of Flein K. Lester, the
great-great-great-great-great-great-great-great-great-great-great-great-great-great-great-grandson
of Klaus F. Lester, the famed Summoner from Tales of Phantasia. He is ransacking some ancient
ruins in search of Pact Rings when the floor collapses and he stumbles upon Macaron, a not-faerie
born of magitechnology, sleeping in stasis and awaiting her next master.

Meanwhile, in the city of Euclid, Dr. Garrell is spending some quality time with his son, Xex.
Xex is a kind-hearted boy, as gentle as can be. Only he's not the good Doctor's biological son —
he's a creation of magitechnology. Oh, boy, magitechnology! It's perfect and stable and it never
brings misfortune upon those who mess with it. Never in the history of the Aselian calendar has
magitechnology caused any sort of catastrophic problem that may in fact hang the fate of the
entire world in the balance.

Needless to say, the fate of the entire world hangs in the balance, and only the plucky young
Summoner Flein, the magitech android not-faerie Macaron, and their ragtag band of good-hearted
adventurers who join along the way can save it. Well, them, and the Heroes of Time from five
hundred years in the past who have been called to deal with the threat of this Demon Lord who
rivals the one they themselves defeated so long ago — Dhaos.

Also, this is an SRPG that is a spiritual successor to Pocket King for the Game Boy Color, not the
usual Tales action RPG using the trademark Linear Motion Battle System (LMBS). Good luck.


Instructions
============

Whatever means you are using to play the patched game may have an auto-patcher, in which case
you probably just have to give the ROM and the patch the same filename or something.

If all else fails, manually apply the patch to the !!! JAPANESE !!! version of the ROM using a
tool such as Floating IPS, which can be found at the following link as of the time of this writing:

<https://www.romhacking.net/utilities/1040/>

Run the program, click Apply Patch, then select the patch file, then select your !!! JAPANESE !!!
ROM, then select a !!! DIFFERENT !!! filename for the output file. (Don't overwrite the original
Japanese ROM unless you have a backup.)

Alternately, use flips from the command line:

    flips --apply [patch filename] [original ROM filename] [output ROM filename]


Notes
=====

Translator's Cut
----------------

The Translator's Cut (lol) represents features that aren't in the original game that may
significantly impact the presentation or gameplay beyond simply localizing and typesetting the
text. For now, these features are enabled without a way to disable them.

Currently, the only such features are:
- The ability to rename the main character, Flein.
- The ability to revert a character's name to the default. This can be accomplished by renaming
them and setting their name to blank. Previously, this would act as cancel/undo. Now, it will set
their name to their class name (for generic units) or default name (for special units).

Troubleshooting
---------------

If you upgrade patch versions and default/class names are suddenly garbled, set Flein's name to
default by the above method; this should fix it. You can then rename Flein again to whatever you
like afterwards.


Gameplay Info
=============

Advantage Symbols
-----------------

For affinities, compatibilities, etc., the game uses the following rating symbols:
- ◎ Best
- ○ Good
- – Neutral
- △ Bad
- × Worst

Hidden Treasure
---------------

Some maps may have up to two hidden treasures you can collect by sending a unit to stop on
specific tiles.

Type Advantage
--------------

  Damage
  dealt by
  Attacker ↓   Defender damage taken → 
|            | War | Wiz | Pri | Thi | Fae | Dem | Gia | Dra | Bea | Cre | Und | Imm | Spi |
| ---------: | :-: | :-: | :-: | :-: | :-: | :-: | :-: | :-: | :-: | :-: | :-: | :-: | :-: | 
|    Warrior |     |  +  |  +  |  –  |     |     |     |     |     |  –  |     |     |     |
|     Wizard |  –  |     |     |  –  |     |     |     |     |     |  +  |     |     |     |
|     Priest |  –  |     |     |  –  |     |  –  |  –  |     |  –  |     |  +  |     |     |
|      Thief |  +  |  +  |  +  |     |  –  |     |  –  |     |     |     |  –  |  –  |  –  |
|     Faerie |     |     |     |  +  |     |  –  |  +  |     |  +  |  +  |     |     |  –  |
|  Demihuman |     |     |  +  |     |  +  |     |  –  |     |  –  |     |     |  –  |     |
|      Giant |     |     |  +  |  +  |  –  |  +  |     |     |     |     |     |     |  –  |
|     Dragon |     |     |     |     |     |     |     |     |     |     |     |  +  |  –  |
|      Beast |     |     |  +  |     |  –  |  +  |     |     |     |     |     |     |  –  |
| M.Creature |  +  |  –  |     |     |  –  |     |     |     |     |     |     |     |  –  |
|     Undead |     |     |  –  |  +  |     |     |     |     |     |     |     |     |     |
|   Immortal |     |     |     |  +  |     |  +  |     |     |     |     |     |     |  +  |
|     Spirit |     |     |     |  +  |  +  |     |  +  |  +  |  +  |  +  |     |  –  |     |

Elemental Attributes
--------------------

Pairs oppose each other, increasing both damage dealt and taken.
- Fire       <>  Water
- Earth      <>  Wind
- Light      <>  Darkness
- Lightning  <>  Void (attributeless)


Patch History
=============

- v0.10 - First public release, aiming to cover the first three story missions.
Some implemented features:
    - Ability to rename the main character/save file
    - 7-letter names
    - Longer than 7 letter class names
    - Proportional fonts
    - Revised skill menu for longer names
    - Faster message speed


Credits
=======

Major contributors:

- Kajitani-Eizan         - Hacking, Translation, Programming, etc.
- Gogeta75               - Table Creation, Initial Translation Efforts

Thanks to...

- Namco/Alfa System/Wolf Team/Kaga Tech for making yet another great (?) Tales game!
- Cless of Phantasian Productions for his great board (RIP) and translation efforts!
- Gogeta75, who started this all those years back and is now AWOL. Hope you're doing all right
out there...
- Cyllya, who was a big fan of this game back in the day and I'm pretty sure discussed this
with us.
- Klarth, who made many useful tools over the years, including Atlas, a general-purpose inserter,
and TileShop, a great retro graphics hacking solution!
    - <https://www.romhacking.net/utilities/224/>
    - <https://github.com/stevemonaco/ImageMagitek/wiki/TileShop-Installation-and-Overview>
- Carnivol, the eternal quality pro and system terminology localization expert.
- Yetika, ClesStahn, Stahn Ailron, _Bnu, HinoRei, and the other Phantasian Productions members for
inspiration, info, translation help, just plain fun, and other stuff I probably forgot about over
the years.
- Kingcom for the always-excellent armips assembler!
    - <https://github.com/Kingcom/armips>
- StorMyu and Kevan33 for their QA excellence!
- Martin Korth for the venerable no$gba debugging emulator.
- SoftCircuits Programming for Cygnus, a handy hex editor.
- Alcaro for flips, an IPS patch creation and application tool.
- RedComet for Cartographer, a general-purpose script extractor.
- Whoever made GBACrusher and gbalzss for graphics compression/decompression.
- The devkitPro team for their cross-compiler toolchains.
- Jim Breen's WWWJDIC, JMdict, EDICT, etc.
- Rikaichan, Rikaichamp/10ten, and other such popup dictionary software.
- NJStar Japanese word processor.
- Matthew Butterick of Practical Typography for his version of the Charter font.
- TALES OF ROOM for their gameplay info.
    - <http://hishiki.s9.xrea.com/tow-sl/index.htm>
- And anyone else I forgot...


Disclaimer
==========

I did not make any profit of any kind by making this patch. The making of this patch was purely
for entertainment value, so please don't sue me (as if I have money to burn anyway...)

If you feel that you contributed to making this patch but were not mentioned, or you do not wish
to be mentioned in the credits, please message me on Discord, Reddit, etc. I will gladly comply
with your request.

Tales name, characters, and everything are property of Bandai Namco and whatever other companies
might own the rights to anything in this game (such as Alfa System, Wolf Team, etc.). Again,
please don't sue me.


----------
END README
